package com.szpg.plc.message.command.write;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.WriteMemoryCommand;
import com.szpg.plc.message.response.WriteMemoryCommandResponse;

public class SetJgOnBitCommand extends WriteMemoryCommand {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 935723353287421429L;

	public final static int JG_ON_ENABLE = 1; // 井盖打开
	public final static int JG_ON_DISABLE = 0; // 井盖打开复位

	private int jgon;
	
	public int getJgon() {
		return jgon;
	}

	public void setJgon(int jgon) {
		this.jgon = jgon;
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_SETJGON;
	}

	@Override
	public Class<WriteMemoryCommandResponse> getResponseClass() {
		return WriteMemoryCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送设置井盖开启位命令[" + jgon + "]";
	}
}
